Bug 566721 - httplib2 version 0.6.0 is available
Summary: httplib2 version 0.6.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-httplib2
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-19 14:37 UTC by Jeffrey C. Ollie
Modified: 2012-08-16 18:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-09 22:54:05 UTC


Attachments (Terms of Use)
Upstream patch to disable Nagle algorithm (1.86 KB, patch)
2010-05-17 11:42 UTC, David Robinson
no flags Details | Diff

Description Jeffrey C. Ollie 2010-02-19 14:37:53 UTC
httplib2 version 0.6.0 is available, the version in Fedora is still version 0.4.0

Comment 1 David Robinson 2010-05-17 11:42:59 UTC
Created attachment 414527 [details]
Upstream patch to disable Nagle algorithm

Comment 2 David Robinson 2010-05-17 11:44:44 UTC
I noticed that python-httplib2 is built for Fedora 14 but not for 13. Can it be build for 13 too?

Also, I've attached a patch from upstream [1] to fix a performance problem. I've been using it for several months.

[1] http://code.google.com/p/httplib2/issues/detail?id=91

Comment 3 David Robinson 2010-05-17 11:58:18 UTC
And to cherry-pick another problem I'd hit w/ version 0.6.0:

http://code.google.com/p/httplib2/issues/detail?id=62

Looks like it was only committed a few days ago - I haven't tested it. Maybe these should wait until there's a stable release upstream thou?

Comment 4 Malcolm Tredinnick 2010-06-18 05:47:55 UTC
Another reason for upgrading to match the upstream version: The 0.4.0 version doesn't work for SSL (HTTPS) connections with python 2.6 due to changes in Python's socket module (requiring a timeout to be given). It fails when doing a GET on any https URL with the message "a float is required". So it's broken out of the box on Fedora 13.

The relevant upstream patch is attached to this ticket: http://code.google.com/p/httplib2/issues/detail?id=39 . However, that's obviously folded into 0.6.0 already.

Comment 5 Bug Zapper 2010-07-30 10:52:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora Update System 2012-07-30 02:34:45 UTC
python-httplib2-0.7.4-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-httplib2-0.7.4-6.el6

Comment 7 Fedora Update System 2012-07-30 02:35:07 UTC
python-httplib2-0.7.4-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-httplib2-0.7.4-6.fc16

Comment 8 Fedora Update System 2012-07-30 02:35:27 UTC
python-httplib2-0.7.4-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-httplib2-0.7.4-6.el5

Comment 9 Fedora Update System 2012-07-30 02:35:49 UTC
python-httplib2-0.7.4-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-httplib2-0.7.4-6.fc17

Comment 10 Fedora Update System 2012-07-30 17:28:36 UTC
Package python-httplib2-0.7.4-6.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-httplib2-0.7.4-6.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6548/python-httplib2-0.7.4-6.el5
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2012-08-09 22:54:05 UTC
python-httplib2-0.7.4-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-08-09 23:06:41 UTC
python-httplib2-0.7.4-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-08-16 17:58:51 UTC
python-httplib2-0.7.4-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-08-16 18:00:57 UTC
python-httplib2-0.7.4-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.